CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2007-4782

PHP before 5.2.3 allows context-dependent attackers to cause a denial of service (application crash) via (1) a long string in the pattern parameter to the glob function; or (2) a long string in the string parameter to the fnmatch function, accompanied by a pattern parameter value with undefined characteristics, as demonstrated by a "*[1]e" value. NOTE: this might not be a vulnerability in most web server environments that support multiple threads, unless these issues can be demonstrated for code execution.
Publish Date : 2007-09-10 Last Update Date : 2010-08-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceExecute Code
CWE ID 94

- Vendor Statements

We do not consider this to be a security issue. For more information please see http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169857#c1 and http://www.php.net/security-note.php
Source: Redhat

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat low 2007-09-11 2007-09-04
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2007-4782 oval:org.opensuse.security:def:20074782 unix
ELSA-2008:0544: php security update (Moderate) oval:org.mitre.oval:def:22394 unix
PHP before 5.2.3 allows context-dependent attackers to cause a denial of service (application crash) via (1) a long stri... oval:org.mitre.oval:def:10897 unix
RHSA-2008:0544 -- php security update (Moderate) oval:org.mitre.oval:def:29150 unix
RHSA-2008:0544: php security update (Moderate) oval:com.redhat.rhsa:def:20080544 unix
RHSA-2008:0545: php security and bug fix update (Moderate) oval:com.redhat.rhsa:def:20080545 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2007-4782

# Product Type Vendor Product Version Update Edition Language
1 Application PHP PHP 5.2.3 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
PHP PHP 1

- References For CVE-2007-4782

http://lists.opensuse.org/opensuse-security-announce/2008-01/msg00006.html
SUSE SUSE-SA:2008:004
http://secunia.com/advisories/27102
SECUNIA 27102
http://secunia.com/advisories/28658
SECUNIA 28658
http://securityreason.com/securityalert/3109
SREASON 3109
http://xforce.iss.net/xforce/xfdb/36461
XF php-globfunction-dos(36461)
http://xforce.iss.net/xforce/xfdb/36457
XF php-fnmatch-dos(36457)
http://www.gentoo.org/security/en/glsa/glsa-200710-02.xml
GENTOO GLSA-200710-02
http://osvdb.org/38686
OSVDB 38686
http://secunia.com/advisories/30828
SECUNIA 30828
http://www.redhat.com/support/errata/RHSA-2008-0544.html
REDHAT RHSA-2008:0544
http://www.redhat.com/support/errata/RHSA-2008-0505.html
REDHAT RHSA-2008:0505
http://www.mandriva.com/security/advisories?name=MDVSA-2009:023
MANDRIVA MDVSA-2009:023
http://secunia.com/advisories/31119
SECUNIA 31119
http://secunia.com/advisories/31200
SECUNIA 31200
http://www.mandriva.com/security/advisories?name=MDVSA-2009:022
MANDRIVA MDVSA-2009:022
http://www.redhat.com/support/errata/RHSA-2008-0582.html
REDHAT RHSA-2008:0582
http://www.redhat.com/support/errata/RHSA-2008-0545.html
REDHAT RHSA-2008:0545
http://www.securityfocus.com/archive/1/478726/100/0/threaded
BUGTRAQ 20070905 PHP < 5.2.3 glob() denial of service
http://www.securityfocus.com/archive/1/archive/1/478626/100/0/threaded
BUGTRAQ 20070904 PHP < 5.2.3 glob() denial of service
http://www.ubuntu.com/usn/usn-628-1
UBUNTU USN-628-1
http://www.securityfocus.com/archive/1/archive/1/478630/100/0/threaded
BUGTRAQ 20070904 PHP < 5.2.3 fnmatch() denial of service
https://www.redhat.com/archives/fedora-package-announce/2008-June/msg00773.html
FEDORA FEDORA-2008-3864

- Metasploit Modules Related To CVE-2007-4782

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.